# Hans5958's userscripts and userstyles

This repository hosts my userscripts and userstyles.

## Download

Below are the download links of the available userscripts and userstyles. These have been built with complete metadata. I will try my best to not change the URLs.

You can also download these from the available stores, indicated with the logo as the symbol.

> WARNING: This distribution method via this page is experimental. It should be usable, but be wary of the changes.

### Userscripts

<!-- USERSCRIPTS START -->
#### General

General userscripts that are not on the specific categories.

<table>
<tr>
	<th>Name</th>
	<th>Version</th>
	<th>License</th>
	<th>Install</th>
</tr>
<tr id="akinator-progression-visualizer">
	<td>Akinator Progression Visualizer</td>
	<td>1.0.0</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/akinator-progression-visualizer.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444658"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">Adds visualization of Akinator's progression (aka. certainity, probability). Inspired by the moving vertical background of the app's old version.</td>
</tr>

<tr id="default-zoom-name-override">
	<td>Default Zoom Name Override</td>
	<td>1.0.0</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/default-zoom-name-override.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444659"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">Set your default name that will override your name on the Zoom aplication. Useful in some cases. Set up by going to https://zoom.us/j/ (or any join link), and click the "Default Name" on the top.</td>
</tr>

<tr id="youtube-screenshot">
	<td>YouTube Screenshot</td>
	<td>1.0.0</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/youtube-screenshot.user.js>Install</a> </td>
</tr>
<tr>
	<td colspan="4">Adds a button to get a screenshot of YouTube videos. Based on https://github.com/gurumukhi/youtube-screenshot.</td>
</tr>

<tr id="death-to-youtube-autoplay">
	<td>Death to YouTube Autoplay!</td>
	<td>1.0.0</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/death-to-youtube-autoplay.user.js>Install</a> </td>
</tr>
<tr>
	<td colspan="4">Forcefully disable and hide autoplay on YouTube, at all, like nothing happened before. Improved from https://greasyfork.org/en/scripts/32159-youtube-disable-suggested-autoplay/</td>
</tr>

<tr id="woogles-hide-spec-info">
	<td>Hide Spectator Info on Woogles.io</td>
	<td>1.0.0</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/woogles-hide-spec-info.user.js>Install</a> </td>
</tr>
<tr>
	<td colspan="4">Hides player-specific information from observer/spectator view. Good for stopping stream sniping when broadcasting live. Add "hidespec", "hidelive" or "hidestream" on the notepad to hide it.</td>
</tr>

<tr id="indihome-landing-page-skipper">
	<td>IndiHome Landing Page Skipper</td>
	<td>1</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/indihome-landing-page-skipper.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444660"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">Bypasses the IndiHome landing page that appeares on HTTP destinations.</td>
</tr>

<tr id="news-pagination-skipper">
	<td>News Pagination Skipper</td>
	<td>1.0.1</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/news-pagination-skipper.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444661"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">Skips paginations on news articles and shows the whole thing in a single page instead.</td>
</tr>

<tr id="no-fancy-background-discord">
	<td>No Fancy Background Discord 👎</td>
	<td>1</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/no-fancy-background-discord.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444662"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">Removes that fancy background on some parts of Discord. (Deprecated: Use at your own risk.)</td>
</tr>

</table>

#### Ports

Ports of extensions/add-ons.

<table>
<tr>
	<th>Name</th>
	<th>Version</th>
	<th>License</th>
	<th>Install</th>
</tr>
<tr id="dont-track-me-google">
	<td>Don't track me Google.user.js 👎</td>
	<td>4.21</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/dont-track-me-google.user.js>Install</a> </td>
</tr>
<tr>
	<td colspan="4">Removes the annoying link-conversion at Google Search/maps/... The Referrer is also hidden to improve your privacy. Designed for Firefox and Google Chrome. (Deprecated)</td>
</tr>

<tr id="scratch-3-developer-tools">
	<td>Scratch 3 Developer Tools 👎</td>
	<td>1.0.0</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/scratch-3-developer-tools.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444664"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">To enhance your Scratch Editing Experience. Injects the code on the source code from https://github.com/griffpatch/Scratch3-Dev-Tools. (Deprecated: Use Scratch Addons instead.)</td>
</tr>

<tr id="isonline">
	<td>isOnline 👎</td>
	<td>2.0</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/isonline.user.js>Install</a> </td>
</tr>
<tr>
	<td colspan="4">Know who is online on Scratch! (Deprecated)</td>
</tr>

</table>

#### Scratch

Userscripts for Scratch (scratch.mit.edu). Most of this are deprecated, but some userscript are implemented on [Scratch Addons](https://scratchaddons.com).

<table>
<tr>
	<th>Name</th>
	<th>Version</th>
	<th>License</th>
	<th>Install</th>
</tr>
<tr id="scratch-message-notifier">
	<td>Scratch Message Notifier 👎</td>
	<td>1.3.1.2</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/scratch-message-notifier.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444666"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">Notifies every message, checks every 2 seconds (Deprecated)</td>
</tr>

<tr id="scratch-curator-links">
	<td>Curator Links on Scratch 👎</td>
	<td>1</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/scratch-curator-links.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444667"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">Creates a clickable link for the curator on the front page. (Deprecated: Use Scratch Addons instead.)</td>
</tr>

<tr id="scratch-follow-dashboard">
	<td>Hans5958's Follow Dashboard 👎</td>
	<td>1</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/scratch-follow-dashboard.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444668"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">A (ugly, but) convinent follow dashboard. Great for follow accounts. Visit scratch.mit.edu/follow to activate the dashboard. (Deprecated: Use at your own risk.)</td>
</tr>

<tr id="scratch-more-links">
	<td>More Links in Scratch 👎</td>
	<td>1</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/scratch-more-links.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444669"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">Adds links of third-party websites (that is not linked) on Scratch. (Deprecated: Use Scratch Addons instead.)</td>
</tr>

<tr id="scratch-remove-description-box">
	<td>Remove Description Box on Scratch 👎</td>
	<td>4</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/scratch-remove-description-box.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444670"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">Remove the instruction/notes box on Scratch (Deprecated: Use Scratch Addons instead.)</td>
</tr>

<tr id="scratch-stats-links">
	<td>Scratch Stats Links 👎</td>
	<td>1</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/scratch-stats-links.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444671"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">Quick links on profiles to ScratchStats.com and my Scratch Stats. (Deprecated: Use Scratch Addons instead.)</td>
</tr>

<tr id="scratch-stats-links-shorter">
	<td>Shorter Scratch Stats Links 👎</td>
	<td>1</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/js/scratch-stats-links-shorter.user.js>Install</a> <a href="https://greasyfork.org/en/scripts/444672"><img src='./.github/greasyfork.png'></a></td>
</tr>
<tr>
	<td colspan="4">Quick links on profiles to ScratchStats.com and my Scratch Stats. (Deprecated: Use Scratch Addons instead.)</td>
</tr>

</table>
<!-- USERSCRIPTS END -->

### Userstyles

<!-- USERSTYLES START -->
#### Ports

Ports of userscripts.

<table>
<tr>
	<th>Name</th>
	<th>Version</th>
	<th>License</th>
	<th>Install</th>
</tr>
<tr>
	<td>2.0 Colors 👎</td>
	<td>1.0.0</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/css/scratch-infinitytec-2colors.user.css>Install</a> </td>
</tr>
<tr>
	<td colspan="4">Adding 2.0 block colors to Scratch 3.0. Ported from https://github.com/infinitytec/2.0-Colors.</td>
</tr>

<tr>
	<td>3.Dark 👎</td>
	<td>1.4.0</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/css/scratch-infinitytec-3dark.user.css>Install</a> </td>
</tr>
<tr>
	<td colspan="4">Dark theme for 3.0. Ported from https://github.com/infinitytec/3.Dark.</td>
</tr>

<tr>
	<td>3.Darker 👎</td>
	<td>1.4.0</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/css/scratch-infinitytec-3darker.user.css>Install</a> </td>
</tr>
<tr>
	<td colspan="4">Darker theme for 3.0. Ported from https://github.com/infinitytec/3.Darker.</td>
</tr>

<tr>
	<td>I can't believe it's not 2 👎</td>
	<td>1.6.0</td>
	<td>MIT</td>
	<td><a href=https://hans5958.github.io/userscripts/css/scratch-infinitytec-not2.user.css>Install</a> </td>
</tr>
<tr>
	<td colspan="4">Making 3.0 look like 2. Ported from https://github.com/infinitytec/I-Cant-Believe-Its-Not-2.</td>
</tr>

</table>
<!-- USERSTYLES END -->

### Key

| Symbol | Description |
| - | - |
| 👎 | Deprecated |
| ![](./.github/greasyfork.png) | Greasy Fork

## License

For each userscript/userstyle, check the "License" row.

For the other aspects, it is licensed under the terms of [MIT license](LICENSE).